﻿///<reference path="../typings/globals/core-js/index.d.ts"/>
'use strict';

import { Component, EventEmitter, Inject, enableProdMode, ViewChild, NgModule, OnInit } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { CommonModule } from '@angular/common';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { BrowserModule } from '@angular/platform-browser';
import { WjGridModule } from 'wijmo/wijmo.angular2.grid';
import { WjInputModule } from 'wijmo/wijmo.angular2.input';


import * as wjcInput from 'wijmo/wijmo.input';
import * as wjcGrid from 'wijmo/wijmo.grid';
import * as wjcCore from 'wijmo/wijmo';




@Component({
    selector: 'app-cmp',
    templateUrl: '../src/AppCmp.html'
})
export class AppCmp {
    public data = [
        {
            name: 'ABC',
            managers: [
                { name: 'Manager A' },
                { name: 'Manager B' },
                { name: 'Manager C' }
            ]
        },
        {
            name: 'ABC',
            managers: [
                { name: 'Manager A' },                
                { name: 'Manager C' }
            ]
        }
    ]
}
@NgModule({
    imports: [WjInputModule, WjGridModule, BrowserModule, FormsModule],
    declarations: [AppCmp],
    providers: [],
    bootstrap: [AppCmp]
})
export class AppModule {
}


enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);



